# Generated from jump-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jump

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: A bookmarking system for bash and zsh shells
License: MIT
URL: http://github.com/flavio/jump
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(fakefs)
BuildArch: noarch

%description
Jump is a tool that allows you to quickly change
directories in the bash and zsh shells using bookmarks.
Thanks to Jump, you won't have to type those long paths anymore.
Jump was inspired by go-tool by ActiveState
(http://code.google.com/p/go-tool/).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/jump-bin
%license %{gem_instdir}/COPYING.txt
%{gem_instdir}/POST_INSTALL.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bash_integration
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/zsh_integration
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.1-1
- Initial package
